Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 722256 (CVE-2018-1285) - dev-dotnet/log4net: XML external entity (XXE) vulnerability (CVE-2018-1285)
Summary: dev-dotnet/log4net: XML external entity (XXE) vulnerability (CVE-2018-1285)
Status: RESOLVED FIXED
Alias: CVE-2018-1285
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://www.openwall.com/lists/oss-se...
Whiteboard: B4 [noglsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-10 20:13 UTC by Sam James
Modified: 2020-11-23 17:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-05-10 20:13:57 UTC
Description:
"Summary: Apache log4net does not disable XML external entities when
parsing log4net configuration files. This could allow for XXE-based
attacks in applications that accept arbitrary configuration files from
users. [1]

Affected: log4net up to 2.0.8

Mitigation: as there are no further releases of log4net beyond 2.0.8,
and the Logging Services PMC has voted [2] to mark the project
dormant, users should not allow arbitrary configuration files to be
specified from untrusted sources. While this is arguably a
vulnerability, misuse of any framework allowing untrusted input to
configure things is always a bad idea."
Comment 1 Sam James archtester gentoo-dev Security 2020-05-10 20:15:42 UTC
Note that a release isn't going to be made. A mask may be useful?
Comment 2 Larry the Git Cow gentoo-dev 2020-10-24 13:57:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a866101af85e162d2f4ad6345a995e2dd8306b1

commit 6a866101af85e162d2f4ad6345a995e2dd8306b1
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-10-24 13:56:53 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-10-24 13:56:53 +0000

    package.mask: Last rite dev-dotnet/* EAPI 4 ebuilds
    
    Bug: https://bugs.gentoo.org/681194
    Bug: https://bugs.gentoo.org/722256
    Bug: https://bugs.gentoo.org/740986
    Bug: https://bugs.gentoo.org/740988
    Bug: https://bugs.gentoo.org/740990
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/package.mask | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2020-11-22 14:55:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7c2bcaa05065b4502abc500f56225b18e78aafb

commit e7c2bcaa05065b4502abc500f56225b18e78aafb
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-11-22 14:54:21 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-11-22 14:54:21 +0000

    dev-dotnet/log4net: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/722256
    Closes: https://bugs.gentoo.org/740990
    Signed-off-by: David Seifert <soap@gentoo.org>

 dev-dotnet/log4net/Manifest               |  2 --
 dev-dotnet/log4net/files/log4net.pc.in-r1 |  8 ------
 dev-dotnet/log4net/log4net-1.2.11.ebuild  | 44 -------------------------------
 dev-dotnet/log4net/metadata.xml           |  8 ------
 profiles/package.mask                     |  6 -----
 5 files changed, 68 deletions(-)